<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package glamour_magazine
 */

?>

</div><!-- #content -->

	<footer id="colophon" class="site-footer">
    <section>
      <div class="info-content">
        <div class="container-fluid wow fadeInUp">
          <div class="row">
            <div class="col-md-4">
              <?php get_sidebar( 'footer-1' );?>
            </div>
            <div class="col-md-4">
            <?php get_sidebar( 'footer-2' );?>
            </div>
            <div class="col-md-4">
            <?php get_sidebar( 'footer-3' );?>
            </div>
          </div>
          <?php if(absint(get_theme_mod('glamour_magazine_footer_title','1'))==1) : ?>
            <div class="f-about">
              <div class="logo">
                <p class="site-title logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a><p>
              </div>
            </div>
          <?php endif; ?>
        </div>
      </div>
      <div class="site-info copyright">
        <div class="container">

          <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'glamour-magazine' ) ); ?>">
            <?php
            /* translators: %s: CMS name, i.e. WordPress. */
            printf( esc_html__( 'Proudly powered by %s', 'glamour-magazine' ), 'WordPress' );
            ?>
          </a>
          <span class="sep "> | </span>
            <?php
            /* translators: 1: Theme author. */
            printf( esc_html__( 'Theme:- by-  %1$s', 'glamour-magazine' ), '<a href="https://www.postmagthemes.com" target="_blank" >Postmagthemes</a>' );
            if (absint(get_theme_mod('glamour_magazine_social_bottom_enable','0'))==1) : ?>
              <ul class="social-icon ml-auto">
                <?php if(absint(get_theme_mod('glamour_magazine_facebook_url_enable','1'))==1) : ?>
                <li class=" bg-white" ><a  href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Facebook'))?>"target="_blank"><span class="fa fa-facebook bg-white" aria-hidden="true"></span></a> </li>
                <?php endif ; ?>
                <?php if(absint(get_theme_mod('glamour_magazine_twitter_url_enable','1'))==1) : ?>
                  <li class=" bg-white"> <a href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Twitter'))?>"target="_blank"><span class="fa fa-twitter bg-white" aria-hidden="true"></span></a></li>
                <?php endif ; ?>
                <?php if(absint(get_theme_mod('glamour_magazine_youtube_url_enable','1'))==1) : ?>
                  <li class=" bg-white"><a href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Youtube'))?>"target="_blank"><span class="fa fa-youtube bg-white" aria-hidden="true"></span></a></li>
                <?php endif ; ?>
                <?php if(absint(get_theme_mod('glamour_magazine_pinterest_url_enable','1'))==1) : ?>
                  <li class=" bg-white"><a href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Pinterest'))?>"target="_blank"><span class="fa fa-pinterest bg-white" aria-hidden="true"></span></a></li>
                <?php endif ; ?>
                <?php if(absint(get_theme_mod('glamour_magazine_instagram_url_enable','1'))==1) : ?>
                  <li class=" bg-white"><a href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Instagram'))?>"target="_blank"><span class="fa fa-instagram bg-white" aria-hidden="true"></span></a></li>
                <?php endif ; ?>
              </ul>
            <?php endif ; ?>
        </div>
        <button class="fa fa-arrow-circle-up" onclick="topFunction()" id="myBtn" ></button> <!--this is to take etop -->
      </div><!-- .site-info -->
    </section>
	</footer><!-- #colophon -->
</div><!-- #page -->
<?php wp_footer(); ?>

</body>
</html>
