<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package glamour_magazine
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>  >
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'glamour-magazine' ); ?></a>
	<header id="masthead" class="site-header ">
		<div id = "main_header">
			
			<div id="top-menu" class="text-center <?php if ( ! has_custom_logo()) { echo 'pt-2 pb-2'; } ?> navbar-expand-lg sticky-top" > 
				<!-- Navbar -->
				<nav class="navbar ">
						<div class="container text-center">
							<!-- Logo -->
							<?php if ( function_exists(  "the_custom_logo" ) ) { ?> 
							<div class =" custom-logo text-center col-lg-2" >
								<?php the_custom_logo(); ?> 
							</div> 
							<?php } ?>
							<div class="text-center col-lg-8">
							<!-- left nav -->
								<?php if(absint(get_theme_mod('glamour_magazine_social_top_enable','0'))==1) : ?>
									<ul class="social-icon float-lefts">
										<?php if(absint(get_theme_mod('glamour_magazine_facebook_url_enable','1'))==1) : ?>
											<li class=" bg-white" ><a  href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Facebook'))?>"target="_blank"><span class="fa fa-facebook bg-white" aria-hidden="true" ></span></a> </li>
										<?php endif ; ?>
										<?php if(absint(get_theme_mod('glamour_magazine_twitter_url_enable','1'))==1) : ?>
											<li class=" bg-white"> <a href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Twitter'))?>"target="_blank"><span class="fa fa-twitter bg-white" aria-hidden="true"></span></a></li>
										<?php endif ; ?>
										<?php if(absint(get_theme_mod('glamour_magazine_youtube_url_enable','1'))==1) : ?>
											<li class=" bg-white"><a href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Youtube'))?>"target="_blank"><span class="fa fa-youtube bg-white" aria-hidden="true"></span></a></li>
										<?php endif ; ?>
										<?php if(absint(get_theme_mod('glamour_magazine_pinterest_url_enable','1'))==1) : ?>
											<li class=" bg-white"><a href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Pinterest'))?>"target="_blank"><span class="fa fa-pinterest bg-white" aria-hidden="true"></span></a></li>
										<?php endif ; ?>
										<?php if(absint(get_theme_mod('glamour_magazine_instagram_url_enable','1'))==1) : ?>
											<li class=" bg-white"><a href="<?php echo esc_url(get_theme_mod( 'glamour_magazine_social_url_'.'Instagram'))?>"target="_blank"><span class="fa fa-instagram bg-white" aria-hidden="true"></span></a></li>
										<?php endif ; ?>
										
									</ul>
								<?php endif ; ?>
							</div>
							<div class='text-center col-lg-2'>
								<!-- Right nav -->
								<ul class="search-tab ">
									<li><a href="javascript:;" class="toggle" id="sidenav-toggle" ><span class="fa fa-bars  bg-white" aria-hidden="true"></span></a></li>
								</ul>
							</div>			
						</div>
				</nav>
			</div>
			<!-- side nav -->
			<nav class="sidenav" data-sidenav data-sidenav-toggle="#sidenav-toggle">					
					<?php get_sidebar( 'menubar-4' );?> 
			</nav> <!-- end side nav -->
			<?php if ( has_header_image() ) { ?>
				<div class="container-header overflowhidden">
					<div class="min-height-150 ">
					<?php the_custom_header_markup(); ?>	
					</div>
					<!-- Title -->
					<div class=" logo text-center mx-auto overlays" >
						<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
						<?php
						$glamour_magazine_description = get_bloginfo( 'description', 'display' );
						if ( $glamour_magazine_description || is_customize_preview() ) :
						?>
						<p class="site-description"><?php echo $glamour_magazine_description; /* WPCS: xss ok. */ ?></p>
						<?php endif; ?>
					</div>
				</div>
				<?php } elseif ( ! has_header_image() ) { ?>
				<!-- Title -->
				<div class=" text-center mx-auto logo  ">
					<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
					<?php
					$glamour_magazine_description = get_bloginfo( 'description', 'display' );
					if ( $glamour_magazine_description || is_customize_preview() ) :
					?>
					<p class="site-description"><?php echo $glamour_magazine_description; /* WPCS: xss ok. */ ?></p>
					<?php endif; ?>
				</div>
			<?php } ?>
			
	</div> 	<!-- end Main header -->
</header><!-- #masthead -->
	
	<div id="content" class="site-content">
		<div class = "sticky-top "  >
			<div class="middle-site-title">
				<div  class =" container text-center display-flow-root" >
					<?php if ( has_custom_logo()) { ?>
						<div class =" float-left col-lg-2 visible-state-hide" >
							<?php the_custom_logo(); ?> 
						</div>
						<div class= "ml-5">
						<p class="  col-lg-10 site-title  visible-state-hide pt-2"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
						</div>
						
					<?php } else { ?>
						<div >
						<p class=" col-lg-12 site-title visible-state-hide pt-2"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
						</div>
					<?php } ?>
				</div>
			</div>
			<div class ="clearfix">
			</div>
			<!-- Main menu -->
			<nav id="main_nav" class="sticky-top-main-menu navbar navbar-expand-lg " role="navigation">
					<!-- Brand and toggle get grouped for better mobile display -->
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapse-1" aria-controls="bs-example-navbar-collapse-1" aria-expanded="false" aria-label="Toggle navigation">
					<span class="fa fa-bars bg-white"></span>
				</button>
					<?php
					wp_nav_menu( array(
						'theme_location'    => 'menu-1',
						'depth'             => 5,
						'container'         => 'div',
						'container_class'   => 'collapse navbar-collapse',
						'container_id'      => 'collapse-1',
						'menu_class'        => 'nav navbar-nav mx-auto ',
						'fallback_cb'       => 'Glamour_Magazine_WP_Bootstrap_Navwalker::fallback',
						'walker'            => new Glamour_Magazine_WP_Bootstrap_Navwalker(),
					) );
					?>
			</nav> <!-- End Main menu -->
			
		</div>