<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package glamour_magazine
 */

get_header();
?>
<div id="primary" class="content-area">
	<main id="main" class="site-main">
		<?php
		if(absint(get_theme_mod('glamour_magazine_sidebar_enable','1')) == 1) : 
		$modes1 = 8;
		elseif (absint(get_theme_mod('glamour_magazine_sidebar_enable','1')) == 0) :
		$modes1 = 12;
		endif ;
		?>
		<?php if (absint(get_theme_mod('glamour_magazine_feature_post_enable','0')) == 1) : ?>
		<?php get_template_part( 'template-parts/template-core/feature-post' ); 
		endif ; ?>
		<section class="middle-content homepage1 ">
			<div class="container-fluid">
			<div class ="row" >
				<div class="col-lg-<?php echo esc_attr($modes1) ?> ">
					<?php if (absint(get_theme_mod('glamour_magazine_blog_post_enable','1'))==1): ?>
						<h2 class ="section-title text-center mb-4"> <?php echo esc_html(get_theme_mod('glamour_magazine_blog_post_title','')) ?></h2>
						
						<?php if (absint(get_theme_mod('glamour_magazine_blog_post_layout','2'))==2): ?>
						<section>
						<div class="grid-blog">
							<div class="row">
								<?php if ( have_posts() ) :
									/* Start the Loop */
									while ( have_posts() ) :
										the_post();
										?>
										<div class="col-md-6">
											<?php get_template_part( 'template-parts/content' ); ?>
										</div>
									<?php endwhile;
								else :
								get_template_part( 'template-parts/content', 'none' );
								endif;
								?>
							</div>
							<div class=" text-center">
								<?php 
									the_posts_pagination( array(
										'pre_text' => __('Previous', 'glamour-magazine'),
										'next_text' => __('Next', 'glamour-magazine'),
									)); 
								?>
							</div>
						
						</div>
						</section>
						<?php endif;?>
						
					<?php endif;?>
				</div> <!-- End col -->
				<!-- End Blog post -->
					<?php if(absint(get_theme_mod('glamour_magazine_sidebar_enable','1')) == 1) : ?>
					<div class="col-lg-4">
						<?php get_sidebar()?>
					</div>
					<?php endif; ?>
			</div> <!-- row -->	
			</div> <!-- container-fluid -->
		</section>
	</main><!-- #main -->
</div><!-- #primary -->
<?php
get_footer();